### File

`src/sample/sample-base.class.ts`

### Description

This is a sample class used to demonstrate how a base class should be defined

### Index

###### Properties
Public type
###### Methods
getNextFoo
###### Inputs
foo
###### Outputs
bar

### Properties

Public type
`type: `"single" | "multi"``
Type : `"single" | "multi"`
Default value : `"single"`
Defined in src/sample/sample-base.class.ts:13
required template types

### Methods

getNextFoo
`getNextFoo()`
Defined in src/sample/sample-base.class.ts:15
required methods Returns : `SampleInterface`

### Inputs

`foo` | specify input behaviour Type : `SampleInterface`
Defined in src/sample/sample-base.class.ts:9

### Outputs

`bar` | specify output behaviour `$event` Type: `EventEmitter<Object>`
Defined in src/sample/sample-base.class.ts:11

    import { Input, Output, EventEmitter } from "@angular/core";
    import { SampleInterface } from "./sample.interface";

    /**
     * This is a sample class used to demonstrate how a base class should be defined
     */
    export class SampleBase {
    	/** specify input behaviour */
    	@Input() foo: SampleInterface;
    	/** specify output behaviour */
    	@Output() bar: EventEmitter<Object>;
    	/** required template types */
    	public type: "single" | "multi" = "single";
    	/** required methods */
    	getNextFoo(): SampleInterface { return; }
    }

# result-matching ""

# No results matching ""